<?php if ( ! defined( 'ABSPATH' ) ) exit; 
/*
	Plugin Name: Gulri Slider
	Plugin URI: https://androidbubble.com/blog/wordpress/plugins/gulri-slider
	Description: An easy way to shape your gallery into an elegant slider.
	Version: 3.5.7
	Author: Fahad Mahmood 
	Author URI: https://www.androidbubbles.com
	Text Domain: gulri-slider
	Domain Path: /languages/
	License: GPL2
	This WordPress Plugin is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 2 of the License, or any later version. This free software is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with this software. If not, see http://www.gnu.org/licenses/gpl-2.0.html.
*/ 

	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

	global $gs_premium_link, $gsp_data, $gsp_settings, $gsp_pro, $gsp_url, $gsp_resolutions, $gsp_resolution_default, $slider_array_default;
	$slider_array_default = array(

		'slider_title' => '',
		'resolution' => '',
		'transitions' => '',
		'interval' => '3000',
		'images' => '',

	);	
	$gsp_resolution_default = '1024x500';
	$gsp_resolutions = array(
		'640x480' => 'SD (Standard Definition) 640 x 480',
		'1024x500' => 'Default 1024 x 500',
		'1280x720' => 'High Definition (HD) 	1280 x 720',
		'1920x1080' => 'Full HD, FHD 	1920 x 1080',		
		'2048x1080' => '2K video 2048 x 1080',
		'2560x1440' => '2K, Quad HD, QHD 	2560 x 1440',
		'3840x2160' => '4K, Ultra HD 	3840 x 2160',
		'7680x4320' => '8K video or Full Ultra HD 7680 x 4320',
	);
	$gsp_pro = false;
    include('inc/functions.php');

	$gsp_data = get_plugin_data(__FILE__);

	$gsp_settings = get_option('gsp_settings');
	
	$gsp_url = plugin_dir_url( __FILE__ );

	$gs_premium_link = '';//https://shop.androidbubbles.com/product/gulri-slider-pro';
	
	
	

	if(is_admin()){
		$plugin = plugin_basename(__FILE__); 
		add_filter("plugin_action_links_$plugin", 'gsp_plugin_links' );			
		add_action( 'admin_menu', 'gsp_menu' );	
	}